Subject: bug#32954: Cuirass: logs of failing tests are unavailable

From: [email-masked] (Ludovic Courtès)
Date: Mon, 08 Oct 2018 22:30:08 +0200

Hello,

Clément Lassieur <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Hello Clément,
>>
>> Clément Lassieur <[email-masked]> skribis:
>>
>>> The logs of failing tests are unavailable.
>>>
>>> (Which makes it impossible to understand why a huge lot of tests are
>>> failing.)
>>
>> You mean the ‘test.basic.x86_64-linux’ etc. jobs, right?
>>
>> I believe the reason build logs are missing is that those jobs are
>> actually in “dependency-failed” state, and not just “failed”.  IOW
>> there’s simply no build log available.
>
> I understand, but I would have expected to see a log like the one in
> https://bugs.gnu.org/32966.  Wouldn't it be helpful?  Also, is it
> difficult to implement?

Log files in /var/log/guix/drvs are per-derivation.  If a derivation has
not been built at all, it doesn’t have a log file.

What we would need is a link to the failed dependency(ies).

Thanks,
Ludo’.